
Name: kubrick
Version: 23.08.5
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Summary: 3-D Game based on Rubik's Cube
Group: Graphical desktop/KDE5
Url: http://www.kde.org/applications/games/kubrick/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: kdegames-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description 
%name is a game based on the Rubik's Cube™ puzzle. The cube sizes range
from 2x2x2 up to 6x6x6, or you can play with irregular "bricks" such as
5x3x2 or "mats" such as 6x4x1 or 2x2x1. The game has a selection of puzzles
at several levels of difficulty, as well as demos of pretty patterns and
solution moves, or you can make up your own puzzles.

%files
#%_sysconfdir
%_kf5_bindir
%_kf5_datadir
%_kf5_datadir/qlogging-categories5/kubrick.categories
#------------------------------------------------------------------------------

%package -n %name-handbook
Summary: %name handbook
Requires: %name
BuildArch: noarch
Group: Documentation

%description -n %name-handbook
This package provides the %name handbook.

%files -n %name-handbook
%doc %_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

